# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "hydroflow_macro"
version = "0.7.0"
publish = true
description = "Macro for using Hydroflow's Surface Syntax"
documentation = "https://docs.rs/hydroflow_macro/"
license = "Apache-2.0"

[lib]
proc-macro = true

[dependencies.hydroflow_lang]
version = "^0.7.0"

[dependencies.proc-macro-crate]
version = "1.1.0"

[dependencies.proc-macro2]
version = "1.0.63"

[dependencies.quote]
version = "1.0.0"

[dependencies.syn]
version = "2.0.0"
features = [
    "parsing",
    "extra-traits",
]

[build-dependencies.hydroflow_lang]
version = "^0.7.0"

[build-dependencies.itertools]
version = "0.10"

[build-dependencies.quote]
version = "1.0.0"

[features]
diagnostics = ["hydroflow_lang/diagnostics"]
